Version scheme in sync? #20

Closed
rhuppert opened this Issue May 7, 2014 · 1 comment

Comments

Projects
None yet
2 participants
@rhuppert

rhuppert commented May 7, 2014

I was in the process of cleaning up a Rails app and noticed 3 version from 2013 are out of sync with the others on rubygems.org. If I run "bundle outdated," it lists tzinfo as outdated even though I'm have the latest version (0.3.39) installed at this time. Bundler shows it as outdated: * tzinfo (1.1.0 > 0.3.39)

Not a big deal, really. I must be embracing my anal side, but was curious.

@rhuppert rhuppert closed this May 8, 2014

@rhuppert rhuppert reopened this May 8, 2014

@philr

This comment has been minimized.

Show comment
Hide comment
@philr

philr May 8, 2014

Member

The latest version of TZInfo is currently 1.1.0 (although not the most recent to be released).

There are currently two active branches. Most of the activity is on the master branch. The v1.1.0 release was taken from master.

There is also a '0.3' branch to support users who cannot upgrade to the newer version of TZInfo. This includes users of Ruby on Rails up to 4.0, because version 4.0.5 of activesupport depends on tzinfo ~> 0.3.37. The v0.3.39 release of TZInfo was taken from the 0.3 branch.

If you are using Ruby on Rails 4.1, then you'll be able to use TZInfo v1.1.0. If you are using an earlier version of Ruby on Rails, the latest version of TZInfo that can be used is 0.3.39.

Member

philr commented May 8, 2014

The latest version of TZInfo is currently 1.1.0 (although not the most recent to be released).

There are currently two active branches. Most of the activity is on the master branch. The v1.1.0 release was taken from master.

There is also a '0.3' branch to support users who cannot upgrade to the newer version of TZInfo. This includes users of Ruby on Rails up to 4.0, because version 4.0.5 of activesupport depends on tzinfo ~> 0.3.37. The v0.3.39 release of TZInfo was taken from the 0.3 branch.

If you are using Ruby on Rails 4.1, then you'll be able to use TZInfo v1.1.0. If you are using an earlier version of Ruby on Rails, the latest version of TZInfo that can be used is 0.3.39.

@philr philr added the question label May 8, 2014

@philr philr closed this May 8, 2014

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment